﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Sample_CS
{
	public partial class SamplePalette : UserControl
	{
		public SamplePalette()
		{
			InitializeComponent();
		}

		/// <summary>
		/// 座標の値をセットする
		/// </summary>
		/// <param name="X">X座標値</param>
		/// <param name="Y">Y座標値</param>
		/// <param name="Z">Z座標値</param>
		public void SetCursolPos(double X, double Y, double Z)
		{
			this.lbl_CursorPosX.Text = X.ToString("f4");
			this.lbl_CursorPosY.Text = Y.ToString("f4");
			this.lbl_CursorPosZ.Text = Z.ToString("f4");
		}
		/// <summary>
		/// 座標をセットする
		/// </summary>
		/// <param name="Point">座標値の配列</param>
		public void SetCursolPos(double[] Point)
		{
			this.lbl_CursorPosX.Text = Point[0].ToString("f4");
			this.lbl_CursorPosY.Text = Point[1].ToString("f4");
			this.lbl_CursorPosZ.Text = Point[2].ToString("f4");
		}

		/// <summary>
		/// リストに選択中のエンティティ名を追加する
		/// </summary>
		/// <param name="objName">エンティティ名</param>
		public void SetSelectedObjectsList(string ObjName)
		{
			this.list_SelectedObjects.Items.Add(ObjName);
		}
		/// <summary>
		/// リストに選択中のエンティティ名を追加する
		/// </summary>
		/// <param name="objNames">エンティティ名の配列</param>
		public void SetSelectedObjectsList(string[] ObjName)
		{
			this.list_SelectedObjects.BeginUpdate();
			this.list_SelectedObjects.Items.AddRange(ObjName);
			this.list_SelectedObjects.EndUpdate();
		}
		/// <summary>
		/// リストの内容をクリアする
		/// </summary>
		public void ClearList()
		{
			this.list_SelectedObjects.Items.Clear();
		}
	}
}
